Subject: Re: Git server eats all memory

From: Jakub Narebski <[email-masked]>
Date: Fri, 06 Aug 2010 04:34:11 -0700 (PDT)

Nguyen Thai Ngoc Duy <[email-masked]> writes:
> On Fri, Aug 6, 2010 at 11:37 AM, Nguyen Thai Ngoc Duy <[email-masked]> wrote:
>> On Thu, Aug 5, 2010 at 4:33 PM, Ivan Kanis <[email-masked]> wrote:

>>> I am ready to do whatever to diagnose the problem. I know C pretty well
>>> and am ready to look into it but I am not sure where to start.
>>
>> Try "git pack-objects --all --stdout > /dev/null" on the repo on
>> server to see if it uses the same amount of memory you saw in cloning.
>> You can then try debugging that command if it does.
> 
> Naah, git pack-objects needs list of commit tips. Try
> git for-each-ref|cut -c 1-40|git pack-objects --all --stdout > /dev/null

Nitpick: git-for-each-ref has `--format' option, no need for `cut'.

-- 
Jakub Narebski
Poland
ShadeHawk on #git